REM ********************************************************************
REM Find the drive that has the install script and SET SOURCE var
REM ********************************************************************
SET SOURCE=%~pd0

@echo off
REM ***************************************************************************
REM   Delete ALL Promote Campaigns from the ATM
REM ***************************************************************************

SET LOGFILE=C:\Install\logs\CopyFile.log

campaignimport /D * c:\Install\Logs
campaignimport /D * c:\Install\Logs

REM Tell ATM To Load the NEW Promote Campaign with Logging
echo Installing 19_0003244_1sTranactP3AANDC.xml... >> c:\Install\logs\copyfile.log
campaignimport /l %SOURCE%19_0003244_1sTranactP3AANDC\19_0003244_1sTranactP3AANDC.xml c:\Install\Logs


campaignimport /r c:\Install\Logs
REM Delete old 'KillFile.bat' on ATM
del c:\Promote\KillFile.bat


REM Activate Promote On AANDC
promotecp /e

REM Check For EDGE, if not EDGE, Skip to Program End
IF NOT EXIST c:\install\edgeappl.add GOTO PROGRAMEND

REM The Following is for Promote on EDGE Activation (If Turned Off), Assumes 'Off'
echo Updating Data in the Data Dictionary... >> c:\Install\logs\copyfile.log
echo Copying Data Dictionary update file to the ATM... >> c:\Install\logs\copyfile.log
xcopy %SOURCE%PromoteONddupdate.dat c:\webatm /I /K /H /Y /R
echo Update File Copied... >> c:\Install\logs\copyfile.log
echo Updating Data Dictionary... >> c:\Install\logs\copyfile.log
if exist c:\WebATM\PromoteONddupdate.dat start /wait DDUpdate.exe /s c:\webatm\PromoteONddupdate.dat
echo Update Completed... >> c:\Install\logs\copyfile.log
echo Data Dictionary Updated... >> c:\Install\logs\copyfile.log
:PROGRAMEND
echo ATM Can Be Placed Back Into Service Now, A Reboot Is Required... >> c:\Install\logs\copyfile.log
exit

